Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.taskdefs
Class DependencyCheckTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.owasp.dependencycheck.taskdefs.DependencyCheckTask

All Implemented Interfaces:
  Cloneable

    public class DependencyCheckTask

extends org.apache.tools.ant.Task

An Ant task definition to execute dependency-check during an Ant build.

Author:
  Jeremy Long (jeremy.long@owasp.org)

Nested Class Summary
`static class` | `DependencyCheckTask.ReportFormats` An enumeration of supported report formats: "ALL", "HTML", "XML", "VULN", etc..

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`DependencyCheckTask()` Construct a new DependencyCheckTask.

Method Summary
`void` | `add(org.apache.tools.ant.types.ResourceCollection rc)` Add an arbitrary ResourceCollection.
`void` | `execute()`
`String` | `getApplicationName()` Get the value of applicationName.
`String` | `getConnectionTimeout()` Get the value of connectionTimeout.
`String` | `getDataDirectory()` Get the value of dataDirectory.
`float` | `getFailBuildOnCVSS()` Get the value of failBuildOnCVSS.
`String` | `getLogFile()` Get the value of logFile.
`String` | `getProxyPassword()` Get the value of proxyPassword.
`String` | `getProxyPort()` Get the value of proxyPort.
`String` | `getProxyUrl()` Get the value of proxyUrl.
`String` | `getProxyUsername()` Get the value of proxyUsername.
`String` | `getReportFormat()` Get the value of reportFormat.
`String` | `getReportOutputDirectory()` Get the value of reportOutputDirectory.
`boolean` | `isAutoUpdate()` Get the value of autoUpdate.
`boolean` | `isReference()` Learn whether the refid attribute of this element been set.
`void` | `setApplicationName(String applicationName)` Set the value of applicationName.
`void` | `setAutoUpdate(boolean autoUpdate)` Set the value of autoUpdate.
`void` | `setConnectionTimeout(String connectionTimeout)` Set the value of connectionTimeout.
`void` | `setDataDirectory(String dataDirectory)` Set the value of dataDirectory.
`void` | `setFailBuildOnCVSS(float failBuildOnCVSS)` Set the value of failBuildOnCVSS.
`void` | `setLogFile(String logFile)` Set the value of logFile.
`void` | `setProxyPassword(String proxyPassword)` Set the value of proxyPassword.
`void` | `setProxyPort(String proxyPort)` Set the value of proxyPort.
`void` | `setProxyUrl(String proxyUrl)` Set the value of proxyUrl.
`void` | `setProxyUsername(String proxyUsername)` Set the value of proxyUsername.
`void` | `setRefid(org.apache.tools.ant.types.Reference r)` Add a reference to a Path, FileSet, DirSet, or FileList defined elsewhere.
`void` | `setReportFormat(DependencyCheckTask.ReportFormats reportFormat)` Set the value of reportFormat.
`void` | `setReportOutputDirectory(String reportOutputDirectory)` Set the value of reportOutputDirectory.

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DependencyCheckTask

    public DependencyCheckTask()

  Construct a new DependencyCheckTask.

Method Detail

### add

    public void add(org.apache.tools.ant.types.ResourceCollection rc)

  Add an arbitrary ResourceCollection.

  Parameters:
    `rc` - the ResourceCollection to add.
  Since:
    Ant 1.7

### isReference

    public boolean isReference()

  Learn whether the refid attribute of this element been set.

  Returns:
    true if refid is valid.

### setRefid

    public void setRefid(org.apache.tools.ant.types.Reference r)

  Add a reference to a Path, FileSet, DirSet, or FileList defined elsewhere.

  Parameters:
    `r` - the reference to a path, fileset, dirset or filelist.

### getApplicationName

    public String getApplicationName()

  Get the value of applicationName.

  Returns:
    the value of applicationName

### setApplicationName

    public void setApplicationName(String applicationName)

  Set the value of applicationName.

  Parameters:
    `applicationName` - new value of applicationName

### getDataDirectory

    public String getDataDirectory()

  Get the value of dataDirectory.

  Returns:
    the value of dataDirectory

### setDataDirectory

    public void setDataDirectory(String dataDirectory)

  Set the value of dataDirectory.

  Parameters:
    `dataDirectory` - new value of dataDirectory

### getReportOutputDirectory

    public String getReportOutputDirectory()

  Get the value of reportOutputDirectory.

  Returns:
    the value of reportOutputDirectory

### setReportOutputDirectory

    public void setReportOutputDirectory(String reportOutputDirectory)

  Set the value of reportOutputDirectory.

  Parameters:
    `reportOutputDirectory` - new value of reportOutputDirectory

### getFailBuildOnCVSS

    public float getFailBuildOnCVSS()

  Get the value of failBuildOnCVSS.

  Returns:
    the value of failBuildOnCVSS

### setFailBuildOnCVSS

    public void setFailBuildOnCVSS(float failBuildOnCVSS)

  Set the value of failBuildOnCVSS.

  Parameters:
    `failBuildOnCVSS` - new value of failBuildOnCVSS

### isAutoUpdate

    public boolean isAutoUpdate()

  Get the value of autoUpdate.

  Returns:
    the value of autoUpdate

### setAutoUpdate

    public void setAutoUpdate(boolean autoUpdate)

  Set the value of autoUpdate.

  Parameters:
    `autoUpdate` - new value of autoUpdate

### getReportFormat

    public String getReportFormat()

  Get the value of reportFormat.

  Returns:
    the value of reportFormat

### setReportFormat

    public void setReportFormat(DependencyCheckTask.ReportFormats reportFormat)

  Set the value of reportFormat.

  Parameters:
    `reportFormat` - new value of reportFormat

### getProxyUrl

    public String getProxyUrl()

  Get the value of proxyUrl.

  Returns:
    the value of proxyUrl

### setProxyUrl

    public void setProxyUrl(String proxyUrl)

  Set the value of proxyUrl.

  Parameters:
    `proxyUrl` - new value of proxyUrl

### getProxyPort

    public String getProxyPort()

  Get the value of proxyPort.

  Returns:
    the value of proxyPort

### setProxyPort

    public void setProxyPort(String proxyPort)

  Set the value of proxyPort.

  Parameters:
    `proxyPort` - new value of proxyPort

### getProxyUsername

    public String getProxyUsername()

  Get the value of proxyUsername.

  Returns:
    the value of proxyUsername

### setProxyUsername

    public void setProxyUsername(String proxyUsername)

  Set the value of proxyUsername.

  Parameters:
    `proxyUsername` - new value of proxyUsername

### getProxyPassword

    public String getProxyPassword()

  Get the value of proxyPassword.

  Returns:
    the value of proxyPassword

### setProxyPassword

    public void setProxyPassword(String proxyPassword)

  Set the value of proxyPassword.

  Parameters:
    `proxyPassword` - new value of proxyPassword

### getConnectionTimeout

    public String getConnectionTimeout()

  Get the value of connectionTimeout.

  Returns:
    the value of connectionTimeout

### setConnectionTimeout

    public void setConnectionTimeout(String connectionTimeout)

  Set the value of connectionTimeout.

  Parameters:
    `connectionTimeout` - new value of connectionTimeout

### getLogFile

    public String getLogFile()

  Get the value of logFile.

  Returns:
    the value of logFile

### setLogFile

    public void setLogFile(String logFile)

  Set the value of logFile.

  Parameters:
    `logFile` - new value of logFile

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.